# Gets block id and stores it in a falling block
loot spawn ~ 400 ~ mine ~ ~ ~ netherite_hoe[minecraft:enchantments={levels:{silk_touch:1}}]
execute positioned ~ 400 ~ if entity @e[type=item,sort=nearest,limit=1,distance=..20] run summon falling_block ~ 400 ~ {BlockState:{Name:"minecraft:tripwire"}, Tags:["mahoraga.falling.block"], NoGravity:1b}
execute positioned ~ 400 ~ if entity @e[type=falling_block,sort=nearest,limit=1,tag=mahoraga.falling.block,distance=..20] as @e[type=falling_block,sort=nearest,limit=1,tag=mahoraga.falling.block] run data modify entity @s BlockState.Name set from entity @e[type=item,sort=nearest,limit=1] Item.id

# Gives the block an scoreboard value
execute positioned ~ 400 ~ run scoreboard players operation @e[type=falling_block,sort=nearest,limit=1,tag=mahoraga.falling.block,distance=..10] mahoraga.id = counter mahoraga.id

# Teleports the block to forceloaded chunk
execute positioned ~ 400 ~ run tp @e[type=falling_block,sort=nearest,limit=1,tag=mahoraga.falling.block,distance=..10] 100202 100 1000200

# Kills the item
execute positioned ~ 400 ~ run kill @e[type=item,distance=..20]

# Summons a marker to keep track of the block position
summon marker ~ ~ ~ {Tags:["mahoraga.marker"]}
execute positioned ~ ~ ~ run scoreboard players operation @e[type=marker,sort=nearest,limit=1,tag=mahoraga.marker,distance=..10] mahoraga.id = counter mahoraga.id

# Adds one to scoreboard for next block to make it unique
scoreboard players add counter mahoraga.id 1